Request
curl https://sandbox.api.lendeasy.ai/v1/servicing/credit-reporting/cycles/$CYCLE_ID \
-H "Authorization: Bearer $TOKEN" \
-H "LendEasy-Tenant: $TENANT"
await fetch(`https://sandbox.api.lendeasy.ai/v1/servicing/credit-reporting/cycles/${cycleId}`, {
method: "GET",
headers: { Authorization: `Bearer ${token}`, "LendEasy-Tenant": tenant },
});
requests.get(
f"https://sandbox.api.lendeasy.ai/v1/servicing/credit-reporting/cycles/{cycle_id}",
headers={"Authorization": f"Bearer {token}", "LendEasy-Tenant": tenant},
)
{
"id": 91,
"reportingPeriod": "2026-08",
"attemptNo": 1,
"state": "APPROVED",
"asOfInstant": "2026-09-01T02: 00:00Z",
"requestedBy": "avery.chen",
"approvedBy": "marcus.hale",
"approvedAt": "2026-09-01T03: 12:44Z",
"accountCount": 128,
"deleteErrorCount": 0,
"deleteFraudCount": 0,
"omitCount": 0,
"blockedCount": 0,
"rejectCount": 0,
"correctionOnly": false,
"expectedVersion": 4,
"approvable": false,
"findings": [
{
"severity": "WARN",
"field": "dateOfFirstDelinquency",
"message": "No anchor on file; the field is zero-filled.",
"accountId": 4412
}
],
"file": {
"id": 55,
"checksumSha256": "9f2b1c0ea4d6f8b3c5a7e9d1b3f5a7c9e1d3f5b7a9c1e3d5f7b9a1c3e5d7f9b1",
"byteCount": 55040,
"baseRecordCount": 128,
"disposed": false
}
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}